<?php

require 'db.php';

$postdata = file_get_contents("php://input");
$request = json_decode($postdata);
if(isset($postdata) && !empty($postdata))
{
$mode = mysqli_real_escape_string($con, trim($request->mode));
$bannerid = mysqli_real_escape_string($con, trim($request->bannerid));
$filesource = mysqli_real_escape_string($con, trim($request->form_value->fileSource));

$type = mysqli_real_escape_string($con, trim($request->type));
$shop_id = mysqli_real_escape_string($con, trim($request->shop_id));
$shop_code = mysqli_real_escape_string($con, trim($request->shop_code));

include 'token_check.php';

if($token_check)
{
    if($mode == "add")
    {
        if($filesource == null)
        {
            $rows = array('status'=>false,'message' => 'Fields Missing');
            echo json_encode($rows);
        }
        else
        {
            $url = $file_upload_url."/".$city_path."/".$cat_path."/".$shop_id;
            $type_path = strtolower($type);
            if (!file_exists($url . $type_path)) {
                mkdir($url . "/" . $type_path, 0777, true);
                $upload_url = $url. "/" .$type_path;
            }
            else
            {
                $upload_url = $url. "/" .$type_path;
            }

            $image_parts = explode(";base64,", $filesource);
            $image_type_aux = explode("image/", $image_parts[0]);
            $image_type = $image_type_aux[1];
            $image_base64 = base64_decode($image_parts[1]);
            
            $image_file_name = uniqid(). '.png';
            $uploadfile = $upload_url  . "/" . $image_file_name;
            
            $accesspath = $file_upload_extension_url. "/" .$city_path. "/" .$cat_path. "/" .$shop_id. "/";
            $savefile = $accesspath . $type_path. "/" . $image_file_name;
            
            file_put_contents($uploadfile, $image_base64);
            
            $sql = "INSERT INTO cat_banner(shop_id,shop_code,bimg) VALUES ('$shop_id','$shop_code','$savefile')";
            $result = mysqli_query($con,$sql);
            if($result)
            {
                $rows = array('status'=>true,'message' => 'Category Banner Added');
                echo json_encode($rows);
            }
        }
    }
    
    else if($mode == "edit")
    {
        if($bannerid == null)
        {
            $rows = array('status'=>false,'message' => 'Fields Missing');
            echo json_encode($rows);
        }
        else
        {
            $type_path = strtolower($type);
            $upload_url = $file_upload_url."/".$city_path."/".$cat_path."/".$shop_id. "/" .$type_path;

            $image_parts = explode(";base64,", $filesource);
            $image_type_aux = explode("image/", $image_parts[0]);
            $image_type = $image_type_aux[1];
            $image_base64 = base64_decode($image_parts[1]);
            
            $image_file_name = uniqid(). '.png';
            $uploadfile = $upload_url  . "/" . $image_file_name;
            
            $accesspath = $file_upload_extension_url. "/" .$city_path. "/" .$cat_path. "/" .$shop_id. "/";
            $savefile = $accesspath . $type_path. "/" . $image_file_name;

            file_put_contents($uploadfile, $image_base64);
                
            $sql = "UPDATE cat_banner set bimg = '$savefile' where id = '$bannerid' and shop_id='$shop_id' and shop_code='$shop_code'";
            $result = mysqli_query($con,$sql);
            if($result)
            {
                $rows = array('status'=>true,'message' => 'Category Banner Updated');
                echo json_encode($rows);
            }
            
        }
    }
    
    else if($mode == "delete")
    {
        if($bannerid == "")
        {
            $rows = array('status'=>false,'message' => 'Banner Error');
            echo json_encode($rows);
        }
        else
        {
            $sql = "DELETE FROM cat_banner where id ='$bannerid' and shop_id='$shop_id' and shop_code='$shop_code'";
            $result = mysqli_query($con,$sql);
            if($result)
            {
                $rows = array('status'=>true,'message' => 'Category Banner Deleted');
                echo json_encode($rows);
            }
        }
    }

}
else
{
    $rows = array('status'=>false,'message' => 'Data Error');
    echo json_encode($rows);
}
}

?>
